/*
 * Copyright (c) 2015 ARM Limited. All rights reserved.
 * SPDX-License-Identifier: Apache-2.0
 * Licensed under the Apache License, Version 2.0 (the License); you may
 * not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an AS IS BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
#ifndef __SECURITY_H__
#define __SECURITY_H__
 
#include <inttypes.h>
 
#define MBED_DOMAIN "MBED_DOMAIN"
#define MBED_ENDPOINT_NAME "Swarros_AAT"
//#define MBED_DOMAIN "0fdef33a-45fd-4557-8a5a-59573147a9d8"
//#define MBED_ENDPOINT_NAME "97a4baf6-1b2f-4448-90a2-895c734d61bd"

const uint8_t SERVER_CERT[] = "-----BEGIN CERTIFICATE-----\r\n"
"MIIBmDCCAT6gAwIBAgIEVUCA0jAKBggqhkjOPQQDAjBLMQswCQYDVQQGEwJGSTEN\r\n"
"MAsGA1UEBwwET3VsdTEMMAoGA1UECgwDQVJNMQwwCgYDVQQLDANJb1QxETAPBgNV\r\n"
"BAMMCEFSTSBtYmVkMB4XDTE1MDQyOTA2NTc0OFoXDTE4MDQyOTA2NTc0OFowSzEL\r\n"
"MAkGA1UEBhMCRkkxDTALBgNVBAcMBE91bHUxDDAKBgNVBAoMA0FSTTEMMAoGA1UE\r\n"
"CwwDSW9UMREwDwYDVQQDDAhBUk0gbWJlZDBZMBMGByqGSM49AgEGCCqGSM49AwEH\r\n"
"A0IABLuAyLSk0mA3awgFR5mw2RHth47tRUO44q/RdzFZnLsAsd18Esxd5LCpcT9w\r\n"
"0tvNfBv4xJxGw0wcYrPDDb8/rjujEDAOMAwGA1UdEwQFMAMBAf8wCgYIKoZIzj0E\r\n"
"AwIDSAAwRQIhAPAonEAkwixlJiyYRQQWpXtkMZax+VlEiS201BG0PpAzAiBh2RsD\r\n"
"NxLKWwf4O7D6JasGBYf9+ZLwl0iaRjTjytO+Kw==\r\n"
"-----END CERTIFICATE-----\r\n";
 
const uint8_t CERT[] = "-----BEGIN CERTIFICATE-----\r\n"
"MIIBzzCCAXOgAwIBAgIEd+zhADAMBggqhkjOPQQDAgUAMDkxCzAJBgNVBAYTAkZ\r\n"
"JMQwwCgYDVQQKDANBUk0xHDAaBgNVBAMME21iZWQtY29ubmVjdG9yLTIwMTgwHh\r\n"
"cNMTcwMTExMDcwODE1WhcNMTgxMjMxMDYwMDAwWjCBoTFSMFAGA1UEAxNJMGZkZ\r\n"
"WYzM2EtNDVmZC00NTU3LThhNWEtNTk1NzMxNDdhOWQ4Lzk3YTRiYWY2LTFiMmYt\r\n"
"NDQ0OC05MGEyLTg5NWM3MzRkNjFiZDEMMAoGA1UECxMDQVJNMRIwEAYDVQQKEwl\r\n"
"tYmVkIHVzZXIxDTALBgNVBAcTBE91bHUxDTALBgNVBAgTBE91bHUxCzAJBgNVBA\r\n"
"YTAkZJMFkwEwYHKoZIzj0CAQYIKoZIzj0DAQcDQgAEqLo0YebHUqyCZ9yKboFSv\r\n"
"rjGTiuWFEo44pFpM0ZxBytW1FB2jCUEIPH8+5BKhbj3jA0nafHt/dO1DuPy7S2r\r\n"
"gjAMBggqhkjOPQQDAgUAA0gAMEUCIQDf7OwpWVLRRhTFSmFNk89Hc8htgDvaXgH\r\n"
"7mceQWXfP2wIgYxwfIOpZNNG7MRnC6q6CWoIngqz8hwQYvXZM/TutTzs=\r\n"
"-----END CERTIFICATE-----\r\n";
 
const uint8_t KEY[] = "-----BEGIN PRIVATE KEY-----\r\n"
"MIGHAgEAMBMGByqGSM49AgEGCCqGSM49AwEHBG0wawIBAQQgsnWvPZGzDTqT34Ak\r\n"
"cfTuZJFuWEEpYbHKuJcLqNPRW46hRANCAASoujRh5sdSrIJn3IpugVK+uMZOK5YU\r\n"
"SjjikWkzRnEHK1bUUHaMJQQg8fz7kEqFuPeMDSdp8e3907UO4/LtLauC\r\n"
"-----END PRIVATE KEY-----\r\n";
 
#endif //__SECURITY_H__